%define with_gcj 0

Name: flute
Version: 1.3.0
Release: %mkrel 12
Summary: Java CSS parser using SAC
# The entire source code is W3C except ParseException.java which is LGPLv2+
License: W3C and LGPLv2+
Group:   System/Libraries
Source0: https://downloads.sourceforge.net/jfreereport/%{name}-%{version}-OOo31.zip
URL: https://www.w3.org/Style/CSS/SAC/
BuildRequires: ant
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils
BuildRequires: sac
Requires: java >= 0:1.6.0 , jpackage-utils, sac
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch: noarch
%endif

%description
A Cascading Style Sheets parser using the Simple API for CSS, for Java.

%package javadoc
Group: Documentation
Summary: Javadoc for %{name}
%if %{with_gcj}
BuildArch: noarch
%endif

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib sac

%build
ant jar javadoc

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%if %{with_gcj}
%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{with_gcj}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT.html
%{_javadir}/*.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc COPYRIGHT.html
%{_javadocdir}/%{name}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.3.0-12.mga10
+ Revision: 2211534
- Mageia 10 Mass Rebuild

* Sun Mar 27 2022 umeabot <umeabot> 1.3.0-11.mga9
+ Revision: 1828972
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.3.0-10.mga8
+ Revision: 1490100
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.3.0-9.mga7
+ Revision: 1261457
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.3.0-8.mga6
+ Revision: 950456
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.3.0-7.mga5
+ Revision: 794874
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 740502
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 679245
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 504507
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 350585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 1.3.0-2.mga3
+ Revision: 322364
- clean spec
+ ennael <ennael>
- Documentation group

* Fri Mar 18 2011 dmorgan <dmorgan> 1.3.0-1.mga1
+ Revision: 74306
- Really build without gcj

* Fri Mar 18 2011 ennael <ennael> 1.3.0-0.2.mga1
+ Revision: 74280
- build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.3.0-0.1.mga1
+ Revision: 40180
- Adapt for mageia
- imported package flute


* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 1.3.0-5.OOo31
- add COPYRIGHT to all subpackages, sync with GCJGuidelines packaging
  guidelines

* Sun Jun 13 2010 Caolán McNamara <caolanm@redhat.com> - 1.3.0-4.OOo31
- rpmlint warnings

* Wed Jan 06 2010 Caolán McNamara <caolanm@redhat.com> - 1.3.0-3.OOo31
- ParseException.java is under LGPLv2+

* Fri Jul 24 2009 Caolán McNamara <caolanm@redhat.com> - 1.3.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Sun May 03 2009 Caolán McNamara <caolanm@redhat.com> - 1.3.0-1.OOo31
- post-release tuned for OpenOffice.org report-designer

* Mon Mar 09 2009 Caolán McNamara <caolanm@redhat.com> - 1.3-5.20061107jfree
- better adherence to versioning guidelines

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2007 Caolán McNamara <caolanm@redhat.com> 1.3-4
- initial import from jpackage

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> 1.3-3jpp
- update for JPackage 1.5

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 1.3-2jpp
- update for JPackage 1.5

* Thu Jul 11 2002 Ville Skyttä <ville.skytta at iki.fi> 1.3-1jpp
- Update to 1.3.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Add Distribution tag, fix URL, tweak Summary and description.

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp
- first jpp release
